'Name of the program.
InstallerName = "Shockwave Xtras pack for Beltz"

'Set objects.
Set WScriptShell = CreateObject("WScript.Shell")
Set ScriptingFileSystemObject = CreateObject("Scripting.FileSystemObject")
Set objNetwork = CreateObject("Wscript.Network")

'Folders to copy.
CopyFolder = "XtrasLib\Xtras"

'Folder to install to.
TargetFolder = "C:\Windows\SysWOW64\Macromed\Shockwave 8\"

'Ask to install. If not OK, create message and quit.
QuestionBox1 = MsgBox ("Ready to install " & InstallerName & "." & Vbcrlf & "Click OK to continue or Cancel to exit the installation." & Vbcrlf & "Please note that this installer is intended to bugfix Xtras issues with Shockwave 8 only.", 1, InstallerName & " Installer")
If QuestionBox1 <> vbOK Then
MsgBox "Installation cancelled.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Ask for path to install and provide default location.
CopyToPath = InputBox("Input the path to your Shockwave 8 installation folder. If it is as below, click OK. Otherwise, enter the correct path below, then click OK.", InstallerName & " Installer", TargetFolder)

'If Cancel was clicked, or nothing was entered, create message and exit.
If CopyToPath = "" Then
MsgBox "Installation cancelled.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Get current directory.
WScriptShell.CurrentDirectory = ScriptingFileSystemObject.GetParentFolderName(Wscript.ScriptFullName)

'Set current directory variable.
CurrentDirectory = WScriptShell.CurrentDirectory

'Set paths to copy from.
CopyFromPath = CurrentDirectory & "\" & CopyFolder

'Set objects.
Set ShellApplication = CreateObject("Shell.Application")
Set NameSpaceCopyPath = ShellApplication.NameSpace(CopyToPath)

'Check if the folder exist to copy from, else create an error message and exit.
If ScriptingFileSystemObject.FolderExists(CopyFromPathS12) Then
MsgBox "Could not find folder: " & CopyFolder & ". " & Vbcrlf & "Check the path and try again.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Copy the folders to install.
If ScriptingFileSystemObject.FolderExists(CopyToPath) Then
NameSpaceCopyPath.CopyHere CopyFromPath, 16
End If

If Not ScriptingFileSystemObject.FolderExists(CopyToPath) Then
MsgBox "It appears that you don't have Shockwave 8 installed, or you have incorrectly specified the path to your Shockwave 8 installation folder. Please check the path and try again.", 0, InstallerName & " Installer"
WScript.Quit
End If

'Create final message box, then exit.
MsgBox "Xtras patch complete. If the game still won't run in your browser, please contact us at LMPbugs@gmail.com, specifying the error that occured.", 0, InstallerName & " Installer"
WScript.quit